input {
  margin: 10px;
  width: 250px;
  padding: 5px;
  box-sizing: border-box;
  border: 1px solid gray;
  outline: none;
}

input:valid {
  border-color: rgb(92, 208, 92);
}

input:invalid {
  border-color: rgb(223, 45, 45);
}